org.apache.mina.core.service

## Interface IoServiceListener

- All Superinterfaces:
    EventListener

      public interface IoServiceListener
      extends EventListener

  Listens to events related to an `IoService`.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serviceActivated(IoService service)` Invoked when a new service is activated by an `IoService`.
    `void` | `serviceDeactivated(IoService service)` Invoked when a service is deactivated by an `IoService`.
    `void` | `serviceIdle(IoService service, IdleStatus idleStatus)` Invoked when a service is idle.
    `void` | `sessionCreated(IoSession session)` Invoked when a new session is created by an `IoService`.
    `void` | `sessionDestroyed(IoSession session)` Invoked when a session is being destroyed by an `IoService`.

- - ### Method Detail

    - #### serviceActivated

          void serviceActivated(IoService service)
                                throws Exception

      Invoked when a new service is activated by an `IoService`.
      Parameters:
        `service` - the `IoService`
      Throws:
        `Exception`

    - #### serviceIdle

          void serviceIdle(IoService service,
                         IdleStatus idleStatus)
                           throws Exception

      Invoked when a service is idle.
      Throws:
        `Exception`

    - #### serviceDeactivated

          void serviceDeactivated(IoService service)
                                  throws Exception

      Invoked when a service is deactivated by an `IoService`.
      Parameters:
        `service` - the `IoService`
      Throws:
        `Exception`

    - #### sessionCreated

          void sessionCreated(IoSession session)
                              throws Exception

      Invoked when a new session is created by an `IoService`.
      Parameters:
        `session` - the new session
      Throws:
        `Exception`

    - #### sessionDestroyed

          void sessionDestroyed(IoSession session)
                                throws Exception

      Invoked when a session is being destroyed by an `IoService`.
      Parameters:
        `session` - the session to be destroyed
      Throws:
        `Exception`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.